// 展開用ハフマンテーブルを圧縮用ハフマンテーブル形式に変換する
// AC用

#include "_jpeglib.h"
#include "jpeg.h"

void iHuff2HuffAC(iHUFFMAN ihufftbl[],unchar cnt[],HUFFMAN hufftbl[ACLEN][ACBIT])
{
int blen,i,j=0,dat;
	for (blen=0;blen<16;blen++) {
		for (i=0;i<cnt[blen];i++) {
			dat=ihufftbl[j].dat;
			hufftbl[dat/16][dat%16].code=ihufftbl[j].code;
			hufftbl[dat/16][dat%16].len =ihufftbl[j].len;
			j++;
		}
	}
}
// dat : DCでは後に続くデータのビット長＝HuffDC_*[]の要素番号
//	 ACではHuffAC_*[]の要素番号
